Back to Kuaishou
TikHub·Kuaishou
Kuaishou App: Kuaishou batch video query API
/api/v1/kuaishou/app/fetch_videos_batchsync$0.06 / callBatch fetch multiple video data, supports up to 40 video IDs per request.. If this API continuously fails, you can try to use the more expensive V2 API for redundant requests.. The default charging standard for this API is: 40 0.001 = 0.04 USD/time. (TikHub · Kuaishou App)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| photo_ids | string | yes | Multiple photo IDs separated by commas, max 40 per request |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/kuaishou/app/fetch_videos_batch","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.